{% extends 'staff/_layout.html' %}
{% load static %}


{% block body %}
<div class="container">
<div class="col-sm-12">
    <table class="table table-stripped nowrap applications">
        <thead>
            <tr>
                <th>{# Type placeholder #}</th>
                <th>Name</th>
                {# <th>Gender placeholder</th> #}
                <th>LC</th>
                <th>Track</th>
                <th>Position</th>
                <th>Email</th>
                <th>Phone</th>
                <th>FB</th>
                <th>Arrival</th>
                <th>Departure</th>
                <th>Gala</th>
                <th>T-shirt</th>
                <th>Total</th>
                <th>Paid</th>
                <th>Transport</th>
                <th>University</th>
                <th>Emergency</th>
                <th>Date of birth</th>
                <th>Food reqs</th>
                <th>Allergies</th>
                <th>Expectations</th>
                <th>Comments</th>
                <th>Applied on</th>
                <th>IP</th>
                <th>Public ID</th>
                <th>UUID</th>
            </tr>
        </thead>
        <tbody>
            {% for app in apps %}
            <tr>
                <td>
                    {% if app.dtype == app.STANDARD %} S
                    {% elif app.dtype == app.INTL %} I
                    {% else %} P {% endif %} 
                </td>
                <td>{{ app.name }} {{ app.surname }}</td>
                {# <td>{% if app.gender %} F {% else %} M {% endif %}</td> #}
                <td>
                    {{ app.lc.name }}
                    {% if app.dtype == app.INTL %}
                        , {{ app.lc.mc.name }}
                    {% endif %}
                </td>
                <td>
                    {% if app.dtype != app.PARTY %}
                        {{ app.track_name }}
                    {% endif %}
                </td>
                <td>{{ app.position }}</td>
                <td class="tiny"><a href="mailto:{{ app.email }}">{{ app.email }}</a></td>
                <td class="tiny">{{ app.phone }}</td>
                <td class="tiny"><a href="{{ app.fb }}">{{ app.fb }}</a></td>
                <td class="tiny">{{ app.arrival }}</td>
                <td>{{ app.departure }}</td>
                <td>{{ app.gala | yesno:"Yep,Nope" }}</td>
                <td>{{ app.tshirt | yesno:"Yep,Nope" }}</td>
                <td>{{ app.total_sum }}</td>
                <td>{{ app.paid_sum }}</td>
                <td>{{ app.transport | yesno:"Yep,Nope" }}</td>
                <td>{{ app.uni }}</td>
                <td>{{ app.emergency }}</td>
                <td>{{ app.dob }}</td>
                <td>{{ app.food_req }}</td>
                <td>{{ app.allergies }}</td>
                <td>{{ app.expectations }}</td>
                <td>{{ app.comments }}</td>
                <td>{{ app.applied_on }}</td>
                <td>{{ app.applied_ip }}</td>
                <td>{{ app.public_id }}</td>
                <td>{{ app.auth_code }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
</div>
{% endblock body %}


{% block javascript %}
<script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>



<script>
    $('table.applications').DataTable({
        pageLength: 50,
        autoWidth: false
    });
</script>
{% endblock javascript %}
